#include<stdio.h>
int main(){
	int n, br=0;
	scanf("%d", &n);
	int x[n];
	int y[n];
	int z[n];
	for(int i=0; i<n; i++){
		scanf("%d", &x[i]);
	}
	for(int j=0; j<n; j++){
		scanf("%d", &y[j]);
	}
	for(int k=0; k<n; k++){
		scanf("%d", &z[k]);
	}
	for(int i=0; i<n; i++){
			for(int k=0; k<n; k++){
				if(x[i]==y[i] && z[k]==j){
					br+=2;
				}
			}
		}
	printf("%d", br);
}